tigase.jaxmpp.core.client.xmpp.modules.disco

## Interface NodeDetailsCallback

- All Known Implementing Classes:
    DiscoveryModule.DefaultNodeDetailsCallback

      public interface NodeDetailsCallback

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getFeatures(SessionObject sessionObject, IQ requestStanza, String node)`
    `DiscoveryModule.Identity` | `getIdentity(SessionObject sessionObject, IQ requestStanza, String node)`
    `DiscoveryModule.Item[]` | `getItems(SessionObject sessionObject, IQ requestStanza, String node)`

- - ### Method Detail

    - #### getFeatures

          String[] getFeatures(SessionObject sessionObject,
                               IQ requestStanza,
                               String node)
                        throws JaxmppException

      Throws:
        `JaxmppException`

    - #### getIdentity

          DiscoveryModule.Identity getIdentity(SessionObject sessionObject,
                                               IQ requestStanza,
                                               String node)
                                        throws JaxmppException

      Throws:
        `JaxmppException`

    - #### getItems

          DiscoveryModule.Item[] getItems(SessionObject sessionObject,
                                          IQ requestStanza,
                                          String node)
                                   throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.